# API Parameters

{% hint style="warning" %}
**IMPORTANT!** The `engine` parameter should **always be set to `twitter_profile or twitter_tweets`**!
{% endhint %}

The Twitter API uses search type specific parameters. **We will cover the search type specific parameters in each search category**.

Here is the full list of **the general parameters**:

<table><thead><tr><th width="162.33333333333331">Parameter</th><th width="100">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>api_key</code><br><mark style="color:red;background-color:red;">required</mark></td><td><code>string</code></td><td>Specify your unique API access key to authenticate with the API. Your <a href="/pages/w9wwotlnq5zUSnbKiI49">API access key</a> can be found in your account dashboard.</td></tr><tr><td><code>engine</code><br><mark style="color:red;background-color:red;">required</mark></td><td><code>string</code></td><td>The engine of the API. Needs to be set to <mark style="color:green;"><strong><code>twitter_profile</code></strong></mark>  or <mark style="color:green;"><strong><code>twitter_tweets</code></strong></mark> for all Twitter API requests.</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.webscrapingapi.com/twitter-search-api/getting-started/api-parameters.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
